Skip to content
ShaireDevelopers

watchers

3 endpoints.

get/api/watchers/{type}/{id}#

Path

typestring*
idstring*
Request
curl https://api.shairelabs.com/api/watchers/$WATCHER_TYPE/$WATCHER_ID \
  -H "Authorization: Bearer $SHAIRE_TOKEN"

Response · 200 · SubjectWatchers

watchersobject[]*
[item]object
userIdstring · uuid*
statestring*
watchingignored
minestring | null*
watchingignored

Also answers 401 and 403. SeeErrors.

put/api/watchers/{type}/{id}#

Path

typestring*
idstring*

Body

statestring*
watchingignored
Request
curl https://api.shairelabs.com/api/watchers/$WATCHER_TYPE/$WATCHER_ID \
  -X PUT \
  -H "Authorization: Bearer $SHAIRE_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"state":"watching"}'

Response · 204

Also answers 401 and 403. SeeErrors.

delete/api/watchers/{type}/{id}#

Path

typestring*
idstring*
Request
curl https://api.shairelabs.com/api/watchers/$WATCHER_TYPE/$WATCHER_ID \
  -X DELETE \
  -H "Authorization: Bearer $SHAIRE_TOKEN"

Response · 204

Also answers 401 and 403. SeeErrors.